> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Rain Agreements

> Records per-agreement acceptances (IP, user agent, version) for the caller's approved Rain card application; idempotent.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/accept-rain-agreements
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/accept-rain-agreements:
    post:
      operationId: acceptRainAgreements
      summary: Accept Rain Agreements
      description: >-
        Records per-agreement acceptances (IP, user agent, version) for the
        caller's approved Rain card application; idempotent.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcceptRainAgreementsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptRainAgreementsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    AcceptRainAgreementsRequest:
      type: object
      properties:
        agreements:
          type: array
          items:
            type: object
            properties:
              agreementType:
                type: string
              documentUrl:
                type: string
              userAgent:
                type: string
            required:
              - agreementType
              - userAgent
          minItems: 1
      required:
        - agreements
    AcceptRainAgreementsResponse:
      type: object
      properties:
        success:
          type: boolean
        acceptedCount:
          type: integer
      required:
        - success
        - acceptedCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
